%define version 3.11.3
%define release alt0
%define snap_date 20050104
%setup_python_module PyKDE

Summary: Python bindings for KDE.
Name: %packagename
Version: %version
%ifdef snap_date
Release: %release.snap%snap_date
Source0: %modulename-snapshot%snap_date.tar.gz
%else
Release: %release.snap%snap_date
Source0: %modulename-%version.tar.gz
%endif
License: GPL
Group: Development/Python
URL: http://www.riverbankcomputing.co.uk/pykde/
Packager: Python Development Team <python@packages.altlinux.org>

BuildPreReq: python%__python_package_version-module-PyQt-devel
BuildPreReq: python%__python_package_version-module-sip-devel

# Automatically added by buildreq on Sat Mar 12 2005
BuildRequires: gcc-c++ kdelibs-devel libqt3-devel libstdc++-devel xorg-x11-devel

###_B_uildRequires: xorg-x11-devel xorg-x11-libs fontconfig freetype2 gcc-c++ libGLU-devel libXft libexpat libjpeg liblcms libmng libqt3-devel libstdc++-devel zlib-devel

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer.

%package devel
Requires: %name = %version-%release
Summary:  Sip files for %name
Group: Development/Python
Obsoletes: %modulename-devel

%description devel
Sip files for PyQt to build extension

%package examples
Summary: %modulename examples
Group: Development/Python
Requires: %name

%description examples
This package contains PyQt examples 


%prep
%ifdef snap_date
%setup -n %modulename-snapshot%snap_date
%else
%setup -n %modulename-%version
%endif


%build
export QTDIR=%_libdir/qt3
%__python configure.py
%__make

%install
%__mkdir_p %buildroot{%_bindir,%_docdir/%name-examples-%version}
%__install -p -m755 contrib/* %buildroot%_bindir/

export QTDIR=%_libdir/qt3
%__make DESTDIR=%buildroot install

%files
%_bindir/*
%python_sitelibdir/*
%doc NEWS README ChangeLog doc/*.html

%files devel
%dir %_datadir/sip
%_datadir/sip/*

%files examples
%doc examples/*

%changelog
* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 3.11.3-alt0.snap20050104
- Initial build for ALT Linux
